Bug 65122 - aic7xxx driver fails in SMP kernel
Summary: aic7xxx driver fails in SMP kernel
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i586 Linux
medium
high
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-17 21:15 UTC by Andy Michael
Modified: 2007-04-18 16:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 03:12:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andy Michael 2002-05-17 21:15:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I have an old Dell Optiplex DGX 5133 twin 133 Pentium 1 Machine, which runs
RH-7.2 quite happily.  Its system disk runs off an Adaptec 2940U controller.

On updating to RH-7.3, the smp kernel has problems with the aic7xxx driver,
reporting errors such as:

scsi0:0:0:0: Command already completed
aic7xxx_abort returns 0x2002
scsi: device set offline - device not ready or command retry failed after bus reset 

The kernel eventually panics when it can't find any scsi disks.

It works OK with the uni-processor kernel.

The problem is identical with kernel 2.4.18-3 and 2.4.18-4.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot with smp kernel
2.
3.
	

Actual Results:  Kernel panics

Expected Results:  Kernel should have booted!

Additional info:

Comment 1 Need Real Name 2002-05-19 03:03:30 UTC
Any developement in this?

Regards,

Shiva

Comment 2 Ron McKown 2002-05-21 22:12:30 UTC
wow, I have the same exact problem.  i have a dell poweredge 7400 with dual
1.8gb processors.  the install went beautifully.  when i boot into smp kernel,
it hangs loading the aic7xxx module.  2.4.18-3 and 2.4.18-4 have identical
problems.  
if i boot into a non smp kernel (2.4.18-3/-4) everything works perfectly.


Comment 3 Christopher Cook 2002-05-23 19:06:56 UTC
I've been seeing a similar problem. My old Dell system (PowerEdge SP166-2) 
boots perfectly using the single-processor kernel, but when I try the SMP 
kernel -- both 2.4.18-3 and -4 -- I get endless sym53c8xx_reset errors.

Comment 4 Doug Ledford 2002-05-24 00:02:32 UTC
There appears to be an issue with the smp version of the aic7xxx driver included
in the 2.4.18-3 and 4 kernels.  I've cc:ed Justin Gibbs, author of that driver,
so he can comment on whether or not he expects the changes that went into the
6.2.8 version of his aic7xxx driver related to module init and irq spinlocks
will solve this problem (my guess is it will).

To christopher.cook:  Your problem is decidedly different than the other two
posters.  The aic7xxx module is locking their systems up entirely, while yours
is continuing to operate but not getting anywhere because interrupts aren't
being routed properly.  You should be able to solve your problem by booting your
computer with the option "noapic" on the command line.

Comment 5 Dave Jones 2003-12-17 03:12:02 UTC
Closing due to >18 months of inactivity, and pending EOL.


Note You need to log in before you can comment on or make changes to this bug.